xml2json comparison
===================

Time to look into that xml2json issue open on $.soap's github: [is there a reason of using `jquery.xml2json`? #83](https://github.com/doedje/jquery.soap/issues/83)

doedje.xml
----------

```
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!- interesting stuff -->
<root>
	<test attr1="test" attr2="10">
		first node
	</test>
	<test>
		<![CDATA[Second node with < and &...]]>
	</test>
	<_test>
		Let's test
	</_test>
</root>

doedje = {
    "#comment": "interesting stuff",
    "root": {
        "test": [{
            "#attributes": {
                "attr1": "test",
                "attr2": "10"
            },
            "#text": "first node"
        }, {
            "#cdata-section": "Second node with < and &..."
        }],
        "_test": {
            "#text": "Let's test"
        }
    }
};

sparkbuzz = {
    "#document": {
        "$": {},
        "root": {
            "$": {},
            "test": [{
                "$": {
                    "attr1": "test",
                    "attr2": "10"
                },
                "_": "\n\t\tfirst node\n\t"
            }, "\n\t\tSecond node with < and &...\n\t"],
            "_test": "\n\t\tLet's test\n\t"
        }
    }
};

fyneworks = {
    "test": ["first node", "Second node with < and &..."],
    "_test": "Let's test"
};
```

fake-soap-response.xml
----------------------
```
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
	<soap:Body>
		<ns:return xmlns:ns="http://localhost/">
			<ns:status>STATUS_OK</ns:status>
			<ns:message>FAKE SOAP RESPONSE!</ns:message>
		</ns:return>
	</soap:Body>
</soap:Envelope>

doedje = {
    "soap:Envelope": {
        "#attributes": {
            "xmlns:soap": "http://schemas.xmlsoap.org/soap/envelope/"
        },
        "soap:Body": {
            "ns:return": {
                "#attributes": {
                    "xmlns:ns": "http://localhost/"
                },
                "ns:status": {
                    "#text": "STATUS_OK"
                },
                "ns:message": {
                    "#text": "FAKE SOAP RESPONSE!"
                }
            }
        }
    }
};

sparkbuzz = {
    "#document": {
        "$": {},
        "soap:Envelope": {
            "$": {
                "xmlns:soap": "http://schemas.xmlsoap.org/soap/envelope/"
            },
            "soap:Body": {
                "$": {},
                "ns:return": {
                    "$": {
                        "xmlns:ns": "http://localhost/"
                    },
                    "ns:status": "STATUS_OK",
                    "ns:message": "FAKE SOAP RESPONSE!"
                }
            }
        }
    }
};

fyneworks = {
    "Body": {
        "return": {
            "status": "STATUS_OK",
            "message": "FAKE SOAP RESPONSE!",
            "xmlns:ns": "http://localhost/"
        }
    },
    "xmlns:soap": "http://schemas.xmlsoap.org/soap/envelope/"
};
```
w3schools-books.xml
-------------------
```
<bookstore>
	<book category="cooking">
		<title lang="en">Everyday Italian</title>
		<author>Giada De Laurentiis</author>
		<year>2005</year>
		<price>30.00</price>
	</book>
	<book category="children">
		<title lang="en">Harry Potter</title>
		<author>J K. Rowling</author>
		<year>2005</year>
		<price>29.99</price>
	</book>
	<book category="web">
		<title lang="en">XQuery Kick Start</title>
		<author>James McGovern</author>
		<author>Per Bothner</author>
		<author>Kurt Cagle</author>
		<author>James Linn</author>
		<author>Vaidyanathan Nagarajan</author>
		<year>2003</year>
		<price>49.99</price>
	</book>
	<book category="web" cover="paperback">
		<title lang="en">Learning XML</title>
		<author>Erik T. Ray</author>
		<year>2003</year>
		<price>39.95</price>
	</book>
</bookstore>

doedje = {
  "bookstore": {
    "book": [
      {
        "#attributes": {
          "category": "cooking"
        },
        "title": {
          "#attributes": {
            "lang": "en"
          },
          "#text": "Everyday Italian"
        },
        "author": {
          "#text": "Giada De Laurentiis"
        },
        "year": {
          "#text": "2005"
        },
        "price": {
          "#text": "30.00"
        }
      },
      {
        "#attributes": {
          "category": "children"
        },
        "title": {
          "#attributes": {
            "lang": "en"
          },
          "#text": "Harry Potter"
        },
        "author": {
          "#text": "J K. Rowling"
        },
        "year": {
          "#text": "2005"
        },
        "price": {
          "#text": "29.99"
        }
      },
      {
        "#attributes": {
          "category": "web"
        },
        "title": {
          "#attributes": {
            "lang": "en"
          },
          "#text": "XQuery Kick Start"
        },
        "author": [
          {
            "#text": "James McGovern"
          },
          {
            "#text": "Per Bothner"
          },
          {
            "#text": "Kurt Cagle"
          },
          {
            "#text": "James Linn"
          },
          {
            "#text": "Vaidyanathan Nagarajan"
          }
        ],
        "year": {
          "#text": "2003"
        },
        "price": {
          "#text": "49.99"
        }
      },
      {
        "#attributes": {
          "category": "web",
          "cover": "paperback"
        },
        "title": {
          "#attributes": {
            "lang": "en"
          },
          "#text": "Learning XML"
        },
        "author": {
          "#text": "Erik T. Ray"
        },
        "year": {
          "#text": "2003"
        },
        "price": {
          "#text": "39.95"
        }
      }
    ]
  }
};

sparkbuzz = {
  "#document": {
    "$": {},
    "bookstore": {
      "$": {},
      "book": [
        {
          "$": {
            "category": "cooking"
          },
          "title": {
            "$": {
              "lang": "en"
            },
            "_": "Everyday Italian"
          },
          "author": "Giada De Laurentiis",
          "year": "2005",
          "price": "30.00"
        },
        {
          "$": {
            "category": "children"
          },
          "title": {
            "$": {
              "lang": "en"
            },
            "_": "Harry Potter"
          },
          "author": "J K. Rowling",
          "year": "2005",
          "price": "29.99"
        },
        {
          "$": {
            "category": "web"
          },
          "title": {
            "$": {
              "lang": "en"
            },
            "_": "XQuery Kick Start"
          },
          "author": [
            "James McGovern",
            "Per Bothner",
            "Kurt Cagle",
            "James Linn",
            "Vaidyanathan Nagarajan"
          ],
          "year": "2003",
          "price": "49.99"
        },
        {
          "$": {
            "category": "web",
            "cover": "paperback"
          },
          "title": {
            "$": {
              "lang": "en"
            },
            "_": "Learning XML"
          },
          "author": "Erik T. Ray",
          "year": "2003",
          "price": "39.95"
        }
      ]
    }
  }
};

fyneworks = {
  "book": [
    {
      "title": "Everyday Italian",
      "author": "Giada De Laurentiis",
      "year": "2005",
      "price": "30.00",
      "category": "cooking"
    },
    {
      "title": "Harry Potter",
      "author": "J K. Rowling",
      "year": "2005",
      "price": "29.99",
      "category": "children"
    },
    {
      "title": "XQuery Kick Start",
      "author": [
        "James McGovern",
        "Per Bothner",
        "Kurt Cagle",
        "James Linn",
        "Vaidyanathan Nagarajan"
      ],
      "year": "2003",
      "price": "49.99",
      "category": "web"
    },
    {
      "title": "Learning XML",
      "author": "Erik T. Ray",
      "year": "2003",
      "price": "39.95",
      "category": "web",
      "cover": "paperback"
    }
  ]
};
```